commit:     672d889acb88c6e23db6a2bf36fcd25d649bef37
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 27 09:27:50 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep 27 09:42:45 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=672d889a

dev-python/pypy3: Install python/python3 symlinks for python-exec

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pypy3/pypy3-7.3.17-r2.ebuild | 35 +++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/dev-python/pypy3/pypy3-7.3.17-r2.ebuild 
b/dev-python/pypy3/pypy3-7.3.17-r2.ebuild
new file mode 100644
index 000000000000..ffbd004f1259
--- /dev/null
+++ b/dev-python/pypy3/pypy3-7.3.17-r2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit python-utils-r1
+
+PYVER=3.10
+DESCRIPTION="A fast, compliant alternative implementation of the Python 
(${PYVER}) language"
+HOMEPAGE="
+       https://pypy.org/
+       https://foss.heptapod.net/pypy/pypy/
+"
+S=${WORKDIR}
+
+LICENSE="MIT"
+SLOT="0/pypy310-pp73-384"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+gdbm ncurses sqlite +test-install tk"
+
+RDEPEND="
+       
=dev-python/pypy3_10-${PV}*:${SLOT}[gdbm?,ncurses?,sqlite?,test-install(+)?,tk?]
+"
+
+src_install() {
+       dodir /usr/bin
+       dosym pypy${PYVER} /usr/bin/pypy3
+
+       # install symlinks for python-exec
+       local EPYTHON=pypy3
+       local scriptdir=${D}$(python_get_scriptdir)
+       mkdir -p "${scriptdir}" || die
+       ln -s "../../../bin/pypy3" "${scriptdir}/python3" || die
+       ln -s python3 "${scriptdir}/python" || die
+}

Reply via email to